package com.lzmispt.data.resource.service.collectiontool.impl;

package .tmp;

import com.lzmispt.data.resource.entity.dto.collectiontool.DeleteDataEditingDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.GetDataEditingDetailsDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.SaveFillInTheDataDTO;
import com.lzmispt.data.resource.entity.vo.collectiontool.FillInTheDataVO;
import com.lzmispt.data.resource.service.collectiontool.IManuelCollection;
import com.lzmispt.data.resource.service.collectiontool.IResAndDataManuelCollection;
import com.lzmispt.dcbase.ServiceUtil;
import com.lzmispt.dcbase.dcconst.DCConst;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Service
public class IResAndDataManuelCollectionImpl implements IResAndDataManuelCollection {
  public ResultEntity<FillInTheDataVO> getDataEditingDetailsForData(GetDataEditingDetailsDTO getDataEditingDetailsDTO, String platCode) {
    getDataEditingDetailsDTO.setDataResourceCategory(DCConst.DataResourceCategory.DATA);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).getDataEditingDetails(getDataEditingDetailsDTO, platCode);
  }
  
  public ResultEntity<FillInTheDataVO> getDataEditingDetailsForRes(GetDataEditingDetailsDTO getDataEditingDetailsDTO, String platCode) {
    getDataEditingDetailsDTO.setDataResourceCategory(DCConst.DataResourceCategory.RES);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).getDataEditingDetails(getDataEditingDetailsDTO, platCode);
  }
  
  public ResultEntity<Map> deleteDataEditingForData(DeleteDataEditingDTO deleteDataEditingDTO) {
    deleteDataEditingDTO.setDataResourceCategory(DCConst.DataResourceCategory.DATA);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(deleteDataEditingDTO.getPlatCode(), IManuelCollection.class)).deleteDataEditing(deleteDataEditingDTO);
  }
  
  public ResultEntity<Map> deleteDataEditingForRes(DeleteDataEditingDTO deleteDataEditingDTO) {
    deleteDataEditingDTO.setDataResourceCategory(DCConst.DataResourceCategory.RES);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(deleteDataEditingDTO.getPlatCode(), IManuelCollection.class)).deleteDataEditing(deleteDataEditingDTO);
  }
  
  public ResultEntity<Boolean> saveFillInTheDataForData(SaveFillInTheDataDTO saveFillInTheDataDTO) throws Exception {
    saveFillInTheDataDTO.setDataResourceCategory(DCConst.DataResourceCategory.DATA);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(saveFillInTheDataDTO.getPlatCode(), IManuelCollection.class)).saveFillInTheData(saveFillInTheDataDTO);
  }
  
  public ResultEntity<Boolean> saveFillInTheDataForRes(SaveFillInTheDataDTO saveFillInTheDataDTO) throws Exception {
    saveFillInTheDataDTO.setDataResourceCategory(DCConst.DataResourceCategory.RES);
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(saveFillInTheDataDTO.getPlatCode(), IManuelCollection.class)).saveFillInTheData(saveFillInTheDataDTO);
  }
  
  public ResultEntity<FillInTheDataVO> selectFillInTheDataByDirectoryIdForData(Long directoryId, String tokenId, Boolean isCheckIsMaster, String platCode, String dirPlatCode) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).selectFillInTheDataByDirectoryId(directoryId, tokenId, Boolean.valueOf(false), platCode, DCConst.DataResourceCategory.DATA, dirPlatCode);
  }
  
  public ResultEntity<FillInTheDataVO> selectFillInTheDataByDirectoryIdForRes(Long directoryId, String tokenId, Boolean isCheckIsMaster, String platCode, String dirPlatCode) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).selectFillInTheDataByDirectoryId(directoryId, tokenId, Boolean.valueOf(false), platCode, DCConst.DataResourceCategory.RES, dirPlatCode);
  }
  
  public ResultEntity<FillInTheDataVO> selectFillInTheDataByDirectoryIdOnlyCurEntity(Long directoryId, String tokenId, String platCode, String dirPlatCode) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).selectFillInTheDataByDirectoryIdOnlyCurEntity(directoryId, tokenId, platCode, DCConst.DataResourceCategory.RES, dirPlatCode);
  }
  
  public ResultEntity<Boolean> checkIsHaveChildTableOrHaveFileTableForData(Long entityId, String platCode, String tokenId) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).checkIsHaveChildTableOrHaveFileTable(entityId, platCode, DCConst.DataResourceCategory.DATA, tokenId);
  }
  
  public ResultEntity<Boolean> checkIsHaveChildTableOrHaveFileTableForRes(Long entityId, String platCode, String tokenId) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).checkIsHaveChildTableOrHaveFileTable(entityId, platCode, DCConst.DataResourceCategory.RES, tokenId);
  }
  
  public ResultEntity uploadToFtpForData(List<MultipartFile> multipartFileList, String platCode, String tokenId, Long id, Long fileInfoTableId) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).uploadToFtp(multipartFileList, platCode, tokenId, null, fileInfoTableId, DCConst.DataResourceCategory.DATA);
  }
  
  public ResultEntity uploadToFtpForRes(List<MultipartFile> multipartFileList, String platCode, String tokenId, Long id, Long fileInfoTableId) {
    return ((IManuelCollection)ServiceUtil.getManuelCollectionManager(platCode, IManuelCollection.class)).uploadToFtp(multipartFileList, platCode, tokenId, null, fileInfoTableId, DCConst.DataResourceCategory.RES);
  }
}
